# 68. Mutation: 「VectorAnalysisMap」の統計を更新

ゾーンマップの統計を更新します。UI上でゾーンの結合/分割が行われたときに使用できます。

{% hint style="info" %}
確認する <https://geopard.tech/blog/merge-and-split-zones/> 記事。&#x20;
{% endhint %}

統計をデータベースに保存せずに更新するミューテーション。レスポンスには再計算された統計がJSONとして含まれます。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/68-mutation-vectoranalysismapnowo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
